---
title: NDEFRecord.toRecords()
slug: Web/API/NDEFRecord/toRecords
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>toRecords()</code></strong> method of the {{DOMxRef("NDEFRecord")}} interface of <a href="/en-US/docs/Web/API/WebNFC_API">Web NFC API</a> parses record payload {{DOMxRef("NDEFRecord.data")}} besed on {{DOMxRef("NDEFRecord.recordType")}} and returns the result.</span></p>

<p>In practice, it's possible to implement the parsing mechanism manually, but this method simplifies the process.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.toRecords()
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A list of {{DOMxRef("NDEFRecord")}}s.</p>

<h2 id="Exceptions">Exceptions</h2>

<dl>
 <dt><code>NotSupported</code></dt>
 <dd>The {{Glossary("User Agent")}} does not know how to parse this combination of {{DOMxRef("NDEFRecord.data")}} and {{DOMxRef("NDEFRecord.recordType")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-torecords">Web NFC, NDEFRecord.toRecords()</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.toRecords")}}</p>
